/*
@author zrc
选择器
@param
*/

var numberPosition = 0;
var UICustomPicker = '';
var isShowNumberPicker = false;
var pickerId = 0;
var select_name = '';
//选择器滑动选中的value
var select_value = '';

//户型
var house_model = '';
//朝向
var house_dire = '';
//楼层
var house_floor = '';

//打开选择器
function choose_number(item_name, item_list, selectValue) {
    select_value = selectValue;
    select_name = item_name;
    document.getElementsByClassName('number_title')[0].innerHTML = select_name;
    // numberPosition = i;
    // if (!isShowNumberPicker) {
    //第一次打开就默认第一个
    UICustomPicker = api.require('UICustomPicker');
    UICustomPicker.open({
        rect: {
            x: api.frameWidth / 2 - 50,
            y: api.frameHeight - 200,
            w: 100,
            h: 200
        },
        styles: {
            bg: '#ffffff',
            //#959595
            normalColor: '#959595',
            disableSelectColor: '#EDEDED',
            selectedColor: '#000',
            selectedSize: 24,
            tagColor: '#000',
            tagSize: 13,
        },
        data: [{
            scope: item_list
        }],
        rows: 3,
        fixedOn: api.frameName,
        fixed: true,
        autoHide: false
    }, function(ret, err) {
        if (ret) {
            pickerId = ret['id'];
            if (ret['eventType'] == 'selected') {
                //选择
                select_value = ret['data'][0];
            } else if (ret['eventType'] == 'show') {
                UICustomPicker.setValue({
                    id: pickerId,
                    data: [selectValue],
                });
            }
        } else {
            // alert(JSON.stringify(err));
        }
    });
    // isShowNumberPicker = true;
    // }

    // UICustomPicker.show({
    //     id: pickerId
    // });


    document.getElementsByClassName('main_number')[0].style.display = "block";
    document.getElementsByClassName('main2')[0].style.display = "block";
    document.getElementsByClassName('main3')[0].style.display = "block";
    api.execScript({
        name: 'index',
        script: 'changeMain("block");'
    });
}

//选择确定或者取消
function selectNumberValue(content) {
    if (content) {
        //符合条件的就保存套数对应的value到数组，然后计算
        switch (select_name) {
            case '买方身份':
                document.getElementById("item_identify").innerHTML = select_value;
                buy_identify = select_value;
                break;
            case '卖方家庭唯一住房':
                document.getElementById("item_only").innerHTML = select_value;
                house_only = select_value;
                break;
            case '是否为司法拍卖':
                document.getElementById("item_auction").innerHTML = select_value;
                is_auction = select_value;
                break;
            case '企业类型':
                document.getElementById("item_company_type").innerHTML = select_value;
                company_type = select_value;
                break;
            case '户型':
                document.getElementById("item_model").innerHTML = select_value;
                house_model = select_value;
                break;
            case '朝向':
                document.getElementById("item_dire").innerHTML = select_value;
                house_dire = select_value;
                break;
            case '楼层':
                document.getElementById("item_floor").innerHTML = select_value;
                house_floor = select_value;
                break;
            default:
        }

    } else {
        // has_number = number_value;
        // alert(has_number);
    }

    document.getElementsByClassName('main_number')[0].style.display = "none";
    document.getElementsByClassName('main2')[0].style.display = "none";
    document.getElementsByClassName('main3')[0].style.display = "none";
    api.execScript({
        name: 'index',
        script: 'changeMain("none");'
    });
    UICustomPicker.close({
        id: pickerId
    });
}

function select_item(item_name) {
    switch (item_name) {
        case '买方身份':
            var itemList = ['个人', '公司'];
            choose_number(item_name, itemList, buy_identify);
            break;
        case '卖方家庭唯一住房':
            var itemList = ['是', '否'];
            choose_number(item_name, itemList, house_only);
            break;
        case '户型':
            var itemList = ['1房', '2房', '3房', '4房', '5房以上'];
            choose_number(item_name, itemList, itemList[0]);
            break;
        case '朝向':
            var itemList = ['朝南', '朝北', '朝东', '朝西'];
            choose_number(item_name, itemList, itemList[0]);
            break;
        case '楼层':
            var itemList = ['低层', '中层', '高层'];
            choose_number(item_name, itemList, itemList[0]);
            break;
        case '是否为司法拍卖':
            var itemList = ['是', '否'];
            choose_number(item_name, itemList, is_auction);
            break;
        case '企业类型':
            var itemList = ['小规模纳税人', '一般纳税人'];
            choose_number(item_name, itemList, company_type);
            break;
        default:
    }
}
