/*获取城市*/
function showAreaChoose(city_position, dis_position, town_position, getResult) {
    var UIActionSelector = api.require('UIActionSelector');
    UIActionSelector.open({
        datas: [{
            "name": "佛山市",
            "city_position": 0,
            "sub": [{
                "name": "禅城区",
                "dis_position": 0,
                "sub": [{
                    "name": "祖庙",
                    "town_position": 0
                }, {
                    "name": "石湾",
                    "town_position": 1
                }, {
                    "name": "张槎",
                    "town_position": 2
                }, {
                    "name": "南庄",
                    "town_position": 3
                }]
            }, {
                "name": "南海区",
                "dis_position": 1,
                "sub": [{
                    "name": "桂城",
                    "town_position": 0
                }, {
                    "name": "里水",
                    "town_position": 1
                }, {
                    "name": "九江",
                    "town_position": 2
                }, {
                    "name": "丹灶",
                    "town_position": 3
                }, {
                    "name": "大沥",
                    "town_position": 4
                }, {
                    "name": "狮山",
                    "town_position": 5
                }, {
                    "name": "西樵",
                    "town_position": 6
                }]
            }, {
                "name": "顺德区",
                "dis_position": 2,
                "sub": [{
                    "name": "大良",
                    "town_position": 0
                }, {
                    "name": "容桂",
                    "town_position": 1
                }, {
                    "name": "陈村",
                    "town_position": 2
                }, {
                    "name": "伦教",
                    "town_position": 3
                }, {
                    "name": "勒流",
                    "town_position": 4
                }, {
                    "name": "杏坛",
                    "town_position": 5
                }, {
                    "name": "龙江",
                    "town_position": 6
                }, {
                    "name": "乐从",
                    "town_position": 7
                }, {
                    "name": "北滘",
                    "town_position": 8
                }, {
                    "name": "均安",
                    "town_position": 9
                }]
            }, {
                "name": "三水区",
                "dis_position": 3,
                "sub": [{
                    "name": "西南",
                    "town_position": 0
                }, {
                    "name": "云东海",
                    "town_position": 1
                }, {
                    "name": "白坭",
                    "town_position": 2
                }, {
                    "name": "乐平",
                    "town_position": 3
                }, {
                    "name": "大塘",
                    "town_position": 4
                }, {
                    "name": "芦苞",
                    "town_position": 5
                }, {
                    "name": "南山",
                    "town_position": 6
                }]
            }, {
                "name": "高明区",
                "dis_position": 4,
                "sub": [{
                    "name": "荷城",
                    "town_position": 0
                }, {
                    "name": "杨和",
                    "town_position": 1
                }, {
                    "name": "更合",
                    "town_position": 2
                }, {
                    "name": "明城",
                    "town_position": 3
                }]
            }]
        }],
        layout: {
            row: 5,
            col: 3,
            height: 40,
            size: 15,
            sizeActive: 15,
            rowSpacing: 5,
            colSpacing: 10,
            maskBg: 'rgba(0,0,0,0.2)',
            bg: '#fff',
            color: '#000000',
            colorActive: '#000000',
            colorSelected: '#000000'
        },
        animation: true,
        cancel: {
            text: '取消',
            size: 15,
            w: 90,
            h: 35,
            bg: '#f0f0f0',
            bgActive: '#f0f0f0',
            color: '#000000',
            colorActive: '#000000'
        },
        ok: {
            text: '确定',
            size: 15,
            w: 90,
            h: 35,
            bg: '#f0f0f0',
            bgActive: '#f0f0f0',
            color: '#000000',
            colorActive: '#000000'
        },
        title: {
            text: '请选择',
            size: 15,
            h: 44,
            bg: '#f0f0f0',
            color: '#000000'
        },
        fixedOn: api.frameName,
        actives: [city_position, district_position, town_position]
    }, function(ret, err) {
        if (ret) {
            // alert(JSON.stringify(ret));
            if (ret['eventType'] == 'ok') {
                var resultList = ret['selectedInfo'];
                getResult(resultList);
                // record_city = ret['selectedInfo'][0]['name'];
                // city_position = parseInt(ret['selectedInfo'][0]['city_position']);
                // record_district = ret['selectedInfo'][1]['name'];
                // district_position = parseInt(ret['selectedInfo'][1]['dis_position']);
                // record_town = ret['selectedInfo'][2]['name'];
                // town_position = parseInt(ret['selectedInfo'][2]['town_position']);
                // document.getElementsByClassName('area_value')[0].innerHTML = record_city + record_district + record_town;
            }
        } else {
            // alert(JSON.stringify(err));
        }
    });
}
