//根据时间戳获取str时间
function getReckonDate(dateTime, returnMonth = false) {
    var date = new Date(dateTime);
    // date.setTime(dateString);
    date.getTime();
    var seperator1 = "-";
    var seperator2 = ":";
    var month = date.getMonth() + 1;
    var strDate = date.getDate();
    var hours = date.getHours();
    var minutes = date.getMinutes();
    var seconds = date.getSeconds();
    if (month >= 1 && month <= 9) {
        month = "0" + month;
    }
    if (strDate >= 0 && strDate <= 9) {
        strDate = "0" + strDate;
    }
    if (hours >= 0 && hours <= 9) {
        hours = "0" + hours;
    }
    if (minutes >= 0 && minutes <= 9) {
        minutes = "0" + minutes;
    }
    if (seconds >= 0 && seconds <= 9) {
        seconds = "0" + seconds;
    }
    var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate +
        " " + hours + seperator2 + minutes +
        seperator2 + seconds;
    return returnMonth ? month : currentdate;
}

//计算相差年份
function get_apart_year(year, month, day) {
    var propertyDate = new Date(year + '/' + month + '/' + day);
    var nowDate = new Date();
    var apart_year = 0;
    var is_Six = false;

    var s1 = propertyDate.getTime(),
        s2 = nowDate.getTime();
    if (s2 - s1 > 0) {
        var total = (s2 - s1) / 1000;
        var totalDay = parseInt(total / (24 * 60 * 60)); //计算整数天数
        if (totalDay < 365) {
            //少于一年的按一年计算
            apart_year = 0;
            if (totalDay > 182) {
                isSix = true;
            } else {
                isSix = false;
            }
        } else {
            apart_year = parseInt(totalDay / 365);
            //求出余数对日期来判断是否超过半年
            isSix = totalDay % 365 > 182;
        }
    } else {
        //如果房产证日期比现在日期大
        apart_year = 0;
        isSix = false;
    }

    var yearStr = ''

    if (apart_year == 0) {
        yearStr = isSix ? '够半年没够1年' : '没够半年';
    } else {
        yearStr = apart_year + '年';
    }
    return yearStr;
    // reckon();
}

//计算分钟差
function get_interval_time(dateTime) {
    //1546593118577
    var nowDate = new Date();

    var nowTime = nowDate.getTime();

    var intervalTime = (nowTime - dateTime) / 1000;

    var intervalStr = '';

    var intervalDay = parseInt(intervalTime / (24 * 60 * 60));
    // alert(intervalDay);
    if (intervalDay == 0) {
        var intervalHour = parseInt(intervalTime / 3600);
        if (intervalHour > 0) {
            intervalStr = intervalHour + '小时前';
        } else {
            var intervalMinutes = parseInt(intervalTime / 60);
            if (intervalMinutes == 0) {
                intervalStr = '刚刚';
            } else {
                intervalStr = intervalMinutes + '分钟前';
            }
        }
    } else {
        var addDate = new Date(dateTime);
        var year = addDate.getFullYear();
        var month = addDate.getMonth() + 1;
        var strDate = addDate.getDate();
        intervalStr = year + '年' + month + '月' + strDate + '日';
    }

    return intervalStr;
}
